/* Default styles for larger screens */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  body {
    background: rgb(41, 41, 41);
  }
  
  .container {
    width: 450px;
    background: linear-gradient(130deg, rgb(43, 99, 218), rgb(43, 99, 218));
    color: white;
    padding: 20px;
    margin: 50px auto 0;
    border-radius: 10px;
    text-align: center;
  }
  
  .search {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  
  .search input {
    border: 0;
    outline: 0;
    padding: 10px 22px;
    flex: 1;
    margin-right: 20px;
    border-radius: 30%;
    font-size: 18px;
    background-color: rgb(233, 250, 240);
    color: black;
  }
  
  .search button {
    border: 0;
    outline: 0;
    background-color: rgb(233, 240, 240);
    width: 60px;
    border-radius: 50%;
    height: 60px;
    cursor: pointer;
  }
  
  .search button img {
    width: 40px;
  }
  
  .weather .icon {
    margin-top: 20px;
    width: 16px;
  }
  
  .weather img {
    height: 100px;
  }
  
  .weather p {
    font-size: 22px;
    font-weight: 300;
  }
  
  .weather p {
    font-size: 20px;
    font-weight: 200;
  }
  
  .details {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    margin-top: 50px;
  }
  
  .col {
    display: flex;
    align-items: center;
    text-align: left;
  }
  
  .col img {
    height: 73px;
    width: 70px;
    margin-right: 10px;
  }
  
  .error {
    text-align: left;
    color: red;
    margin-top: 5px;
    display: none;
  }
  

  @media (max-width: 768px) {
    .container {
      width: 90%;
      padding: 10px;
      margin: 30px auto 0;
    }
    .search input {
      font-size: 16px;
    }
}
  
  
  @media (max-width: 480px) {
    .container {
      width: 95%;
    }
    .search input {
      font-size: 14px;
    }
}
  